FREECIV21-MODPACK-QT(6)

NAME
freeciv21-modpack-qt - GUI modpack installer for Freeciv21.

SYNOPSIS

freeciv21-modpack-qt [ -i|--install <URL> ] [ -L|--List <URL>] [ -h|--help ] [ -v|--version ]

DESCRIPTION

Freeciv21 is a free open source turn-based empire-building 4x strategy game, in which each player becomes the leader of a civilization. You compete against several opponents to build cities and use them to support a military and an economy. Players strive to complete an empire that survives all encounters with its neighbors to emerge victorious. Play begins at the dawn of history in 4,000 BCE.

Freeciv21 takes its roots in the well-known FOSS game Freeciv and extends it for more fun, with a revived focus on competitive multiplayer environments. Players can choose from over 500 nations and can play against the computer or other people in an active online community.

The code is maintained by the team over at Longturn.net and is based on the QT framework. The game supports both hex and square tiles and is easily modified to create custom rules.

This is a program to read and install a modpack URL from the command line. When given no command line parameters the Qt base GUI will load and allow for modpack installation. For a pure command line modpack installer, see freeciv21-modpack(6).

OPTIONS

The following options are accepted on the command line of the modpack installer. They may not be combined as with other tools. For example: freeciv21-modpack-qt -Lp https://raw.githubusercontent.com/longturn/modpacks/main/index.json ~/.local/fc21 will not work. Instead you will need to enter each option separately, such as, freeciv21-modpack-qt -L https://raw.githubusercontent.com/longturn/modpacks/main/index.json -p ~/.local/fc21.

-d, --debug <LEVEL>
    Set debug log level (fatal/critical/warning/info/debug). Default log level is info.

-i, --install <URL>
    Automatically install modpack from a given URL.

-L, --List <URL>
    Load modpack list from given URL.

-p, --prefix <DIR>
    Install modpacks to given directory hierarchy. Default location is ~/.local/share/freeciv21.

-h, --help
    Display help on command line options.

--help-all
    Display help including Qt specific options.

-v, --version
    Display version information.

USER
    Specifies the username of the current user.

BUGS

Please report bugs to the Freeciv21 bug tracker at https://github.com/longturn/freeciv21/issues/new/choose

MORE INFORMATION

See the Longturn home page at https://longturn.net/. You can also find the code repository at https://github.com/longturn/freeciv21/.

AUTHOR
Freeciv21 and Freeciv Contributors

COPYRIGHT
GPL-3.0-or-later, Freeciv21 and Freeciv Contributors